petsc-3.7.7 2017-09-25
Report Typos and Errors

# ISColoringGetIS

Extracts index sets from the coloring context

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISColoringGetIS(ISColoring iscoloring,PetscInt *nn,IS *isis[])

Collective on ISColoring

### Input Parameter

iscoloring -the coloring context

### Output Parameters

| nn | - number of index sets in the coloring context
| is | - array of index sets

### See Also

ISColoringRestoreIS(), ISColoringView()

Level:advanced
Location:src/vec/is/is/utils/iscoloring.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages